<?php
  //@codingStandardsIgnoreFile
  /** @var \Mirasvit\Helpdesk\Block\Contact\Form $block */
  ?>
  <style type="text/css">
      .hdmx__contact-form .fieldset .group-3 {
        clear: both;
      }
.actions-toolbar {
    text-align: right;
}
::-webkit-input-placeholder { /* Edge */
  text-transform: capitalize;
}

:-ms-input-placeholder { /* Internet Explorer 10-11 */
  text-transform: capitalize;
}

::placeholder {
  text-transform: capitalize;
}
  </style>
<?php
  $helpText = $block->getHelpText();
  $countryList=$block->getCountries();

  $confirm = 0;
  if($this->getRequest()->getParam('confirmation')){
     $confirm = $this->getRequest()->getParam('confirmation');
  }
  ?>
<?php if ($block->isKbEnabled()): ?>
<?=$block->getKbBlock()->toHtml() ?>
<?php endif ?>
<form action="<?= $block->getUrl('helpdesk/form/post') ?>" class="hdmx__contact-form"
  id="helpdesk-contacts-form" method="post"
  enctype="multipart/form-data" data-mage-init='{"validation":{}}'>
  <fieldset class="fieldset">
    <!--legend class="legend"><?= __('Contact Information') ?></legend-->
    <?php if ($helpText): ?>
    <div>
      <p class="cms-content-important"><?= $helpText; ?></p>
    </div>
    <?php endif; ?>
    <!-- Your Details Section -->
    <div class="helpdesk-wrapper">
      <div class="row">
        <div class="col-sm-6 helpdesk-inner helpdesk-inner-details">
          <h3 class="helpdesk-inner-title">Your details</h3>
          <div class="row fields group-3">
            <div class="col-md-6 margin-bottom20">
              <div class="field required">
                <div class="control">
                  <label for="name" class="label"><?= __('First Name') ?></label>
                  <input name="name" data-id="name" title="<?= __('Name') ?>"
                    value="<?= $block->escapeHtml($block->getCustomerName()) ?>" class="input-text" type="text"
                    data-validate="{required:true}" />
                </div>
              </div>
            </div>
            <div class="col-md-6 margin-bottom20">
              <div class="field required">
                <div class="control">
                  <label for="name" class="label"><?= __('Last Name') ?></label>
                  <input name="f_last_2" class="f_last_2 input-text" data-id="f_last_2"
                    title="<?= __('f_last_2') ?>" value="" type="text" class="input-text" data-validate="{required:true}" />
                </div>
              </div>
            </div>
            <div class="col-md-6 margin-bottom20">
              <div class="field required">
                <div class="control">
                  <label for="mail" class="label"><?= __('Email') ?></label>
                  <input name="email" title="Email" value="" type="text"
                    class="helpdesk_email email" data-id="email" placeholder="Email"/>
                  <input name="mail" id="mail" title="<?= __('Email') ?>"
                    value="<?= $block->escapeHtml($block->getCustomerEmail()) ?>"
                    class="input-text required-entry validate-email" type="text"
                    data-validate="{required:true}" />
                </div>
              </div>
            </div>
            <div class="col-md-6 margin-bottom20">
              <div class="field required">
                <div class="control">
                  <label for="f_telephone" class="label"><?= __('Telephone') ?></label>
                  <input name="f_telephone" title="Telephone" value="" type="text"
                    class="f_telephone input-text" data-id="f_telephone" data-validate="{required:true}"/>
                </div>
              </div>
            </div>
            <div class="col-sm-12 margin-bottom20">
              <div class="field required">
                <div class="control">
                  <label for="f_address_1" class="label"><?= __('Address') ?></label>
                  <input name="f_address_1" class="f_address_1" data-id="f_address_1"
                    title="<?= __('f_address_1') ?>" value="" type="text" class="input-text" data-validate="{required:true}" />
                </div>
              </div>
            </div>
            <div class="col-sm-12 margin-bottom20">
              <div class="field">
                <div class="control">
                  <label for="f_address_2" class="label"><?= __('Apt, Suit, Building, etc, (optional)') ?></label>
                  <input name="f_address_2" class="f_address_1" data-id="f_address_2"
                    title="<?= __('f_address_2') ?>" value="" type="text" class="input-text" data-validate="{required:false}" />
                </div>
              </div>
            </div>
            <div class="col-sm-6 col-md-3 margin-bottom20">
              <div class="field required">
                <div class="control">
                  <label for="f_country" class="label"><?= __('Country') ?></label>
                  <input name="f_country" class="f_country" data-id="f_country"
                    title="<?= __('f_country') ?>" value="" type="text" class="input-text" data-validate="{required:true}" />
                </div>
              </div>
            </div>
            <div class="col-sm-6 col-md-3 margin-bottom20">
              <div class="field required">
                <div class="control">
                  <label for="f_state" class="label"><?= __('State') ?></label>
                  <input name="f_state" class="f_state input-text" data-id="f_state"
                    title="<?= __('f_state') ?>" value="" type="text" class="input-text" data-validate="{required:true}" />
                </div>
              </div>
            </div>
            <div class="col-sm-6 col-md-3 margin-bottom20">
              <div class="field required">
                <div class="control">
                  <label for="f_city" class="label"><?= __('City') ?></label>
                  <input name="f_city" class="f_city input-text" data-id="f_city"
                    title="<?= __('f_city') ?>" value="" type="text" class="input-text" data-validate="{required:true}" />
                </div>
              </div>
            </div>
            <div class="col-sm-6 col-md-3 margin-bottom20">
              <div class="field required">
                <div class="control">
                  <label for="f_zip" class="label"><?= __('Zip Code') ?></label>
                  <input name="f_zip" class="f_zip" data-id="f_zip"
                    title="<?= __('f_zip') ?>" value="" type="text" class="input-text" data-validate="{required:true}" />
                </div>
              </div>
            </div>
          </div>
        </div><!-- End helpdesk-inner-details -->

        <div class="col-sm-6 helpdesk-inner helpdesk-inner-pro">
          <h3 class="helpdesk-inner-title">Product Details</h3>
          <div class="row fields group-3">
            <div class="col-md-6 margin-bottom20">
              <div class="field required">
                <div class="control">
                  <label for="f_psku" class="label"><?= __('Part Number') ?></label>
                  <input name="f_psku" class="f_psku" data-id="f_psku"
                    title="<?= __('Part Number') ?>" value="" type="text" class="input-text" data-validate="{required:true}" />
                </div>
              </div>
            </div>
            <div class="col-md-6 margin-bottom20">
              <div class="field required">
                <div class="control">
                  <label for="f_quantity" class="label"><?= __('Qty') ?></label>
                  <input name="f_quantity" class="f_psku" data-id="f_quantity"
                    title="<?= __('Quantity') ?>" value="" type="text" class="input-text" data-validate="{required:true}" />
                </div>
              </div>
            </div>
            <div class="col-md-6 margin-bottom20">
              <div class="field">
                <div class="control">
                  <label for="f_serial_number" class="label"><?= __('Serial Number') ?></label>
                  <input name="f_serial_number" class="f_serial_number" data-id="f_serial_number"
                    title="<?= __('Serial Number') ?>" value="" type="text" class="input-text" data-validate="{required:false}" />
                </div>
              </div>
            </div>
            <div class="col-md-6 margin-bottom20">
              <div class="field required">
                <div class="control">
                  <label for="f_invoice_number" class="label"><?= __('Purchase Receipt Number') ?></label>
                  <input name="f_invoice_number" class="f_invoice_number input-text" data-id="f_invoice_number"
                    title="<?= __('Purchase Receipt number') ?>" value="" type="text" class="input-text" data-validate="{required:true}" />
                </div>
              </div>
            </div>
            <div class="col-md-4 margin-bottom20">
              <div class="field required">
                <div class="control">
                  <label for="f_purchased_date" class="label"><?= __('Purchase Date') ?></label>
                  <input name="f_purchased_date" class="f_purchased_date" data-id="f_purchased_date"
                    title="<?= __('Purchase Date') ?>" value="" type="text" onfocus="(this.type='date')" class="input-text" data-validate="{required:true}" />
                </div>
              </div>
            </div>
            <div class="col-md-4 margin-bottom20">
              <div class="field required">
                <div class="control">
                  <label for="f_purchased_from" class="label"><?= __('Purchase From') ?></label>
                  <input name="f_purchased_from" class="f_purchased_from" data-id="f_purchased_from"
                    title="<?= __('Purchased From') ?>" value="" type="text" class="input-text" data-validate="{required:true}" />
                </div>
              </div>
            </div>
            <div class="col-md-4 margin-bottom20">
              <div class="field required">
                <div class="control">
                  <label for="subject" class="label"><?= __('Choose Support') ?></label>
                  <select id="subject" name="subject" class="select admin__control-select" data-ui-id="form-element-subject">
                    <option value="" selected="selected">-- Choose Support --</option>
                    <option value="Technical Support">Technical Support</option>
                    <option value="Product Return">Product Return</option>
                  </select>
                </div>
              </div>
            </div>
            <div class="col-md-8 margin-bottom20">
              <div class="field required">
                <div class="control">
                  <label for="comment" class="label"><?= __('Detailed Explanation') ?></label>
                  <textarea name="comment" title="<?= __('Detailed Explanation') ?>" class="input-text comment" cols="5"
                    data-id="comment" rows="3" data-validate="{required:true}"></textarea>
                </div>
              </div>
            </div>
            <div class="col-md-8 margin-bottom20">
              <div class="field attachment required">
                <label for="attachment" class="label"><?= __('Attach Proof of purchase') ?></label>
                <div class="control">
                  <input type='file' class='multi' name='attachment[]' id='attachment' data-validate='{required:true}'/>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="actions-toolbar">
      <input type="hidden" name="hideit" data-id="hideit" class="hideit" value="">
      <input type="hidden" name="f_status" data-id="f_status" class="hideit" value="1">
      <input type="hidden" name="f_custom_form" data-id="f_custom_form" class="hideit" value="Alogic Case Form">
      <?php
      $webOrder = '';
      if ($block->getStore()->getCode() == 'in') {
                $webOrder = 'WebOrder2021 (ALG - IND)';
            } elseif ($block->getStore()->getCode() == 'uk') {
                $webOrder = 'WebOrder2021 (ALG - UK)';
            } elseif ($block->getStore()->getCode() == 'default') {
                $webOrder = 'WebOrder2021 (ALG - AU)';
            } elseif ($block->getStore()->getCode() == 'us') {
                $webOrder = 'WebOrder2021 (ALG - US)';
            } else {
                $webOrder = 'WebOrder2021 (ALG - AU)';
            }
            ?>

      <input type="hidden" name="f_company" data-id="f_company" class="hideit" value="<?php echo $webOrder; ?>">
      <input type="hidden" name="confirmation" data-id="confirmation" class="hideit" value="<?php echo $confirm; ?>">
      <button type="submit" title="<?= __('Submit') ?>" class="action btn btn-primary">
      <span><?= __('Submit') ?></span>
      </button>
    </div>
  </fieldset>
</form>
